Bug 13573 - diff running out of temp space doesn't clean up
diff running out of temp space doesn't clean up
Product: Red Hat Linux
Classification: Retired
Component: diffutils (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 2000-07-07 15:34 EDT by Ronald W. Heiby
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-07 15:34:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ronald W. Heiby 2000-07-07 15:34:28 EDT
This probably happened to me under RH 6.1, but I had just received my 6.2 
copy, so I just did a fresh install rather than track down the problem.

The symptoms are that I was working just fine with X Window support 
working, shut down my system for the night, and when I rebooted the next 
morning I got a flickery display instead of the X Window signon screen.

After some digging, I determined that the cause of my X Window problem was 
that xfs was not starting successfully. After some more digging, I 
determined that the cause of xfs not starting successfully was that I was 
out of disk space on /tmp. Looking there, I found one humongous temp file.

Thinking back on what I did yesterday that might have been out-of-the-
ordinary, the only thing I can think of was that I attempted to do 
a "diff" of two huge text files. After quite a while, the diff exited with 
the message that I had run out of "memory". It didn't say anything about 
being out of disk space, but I conjecture that that's what it really 
meant, and that it did not clean up its temp file, leaving it there, 
leaving my root partition full, and preventing xfs from starting the next 

I do not know whether this is a problem specific to diff or whether it is 
based upon a library routine used by diff and other programs.

Comment 1 Preston Brown 2000-08-29 14:41:35 EDT
I just checked the code, and all the diff programs clean up their temp files
upon fatal errors, so it must have been some sort of different out-of-space

Note You need to log in before you can comment on or make changes to this bug.